Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.io
Class MacOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.bouncycastle.crypto.io.MacOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class MacOutputStream

extends java.io.FilterOutputStream

Field Summary
`protected Mac` `mac`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`MacOutputStream(java.io.OutputStream stream, Mac mac)`

Method Summary
`Mac` `getMac()`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.io.FilterOutputStream
`close, flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mac

    protected Mac mac

Constructor Detail

### MacOutputStream

    public MacOutputStream(java.io.OutputStream stream,
                           Mac mac)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.FilterOutputStream`
  Throws:
    `java.io.IOException`

### getMac

    public Mac getMac()

Bouncy Castle Cryptography Library 1.45